/*
Copyright Sebastian Jamrozik (sebastian.jamrozik@gmail.com).
All rights reserved.
*/

@font-face {
    font-family: Roboto-Thin;
    src: url(../fonts/Roboto-Thin.ttf);
}

@font-face {
    font-family: Roboto-Light;
    src: url(../fonts/Roboto-Light.ttf);
}

@font-face {
    font-family: Roboto-Regular;
    src: url(../fonts/Roboto-Regular.ttf);
}

@font-face {
    font-family: Roboto-Medium;
    src: url(../fonts/Roboto-Medium.ttf);
}

@font-face {
    font-family: Roboto-Bold;
    src: url(../fonts/Roboto-Bold.ttf);
}

@font-face {
    font-family: Roboto-Black;
    src: url(../fonts/Roboto-Black.ttf);
}

@font-face {
    font-family: FontAwesome;
    src: url(../fonts/FontAwesome.otf);
}

.font-thin {
    font-family: Roboto-Thin;
}

.font-light {
    font-family: Roboto-Light;
}

.font-regular {
    font-family: Roboto-Regular;
}

.font-medium {
    font-family: Roboto-Medium;
}

.font-bold {
    font-family: Roboto-Bold;
}

.font-black {
    font-family: Roboto-Black;
}

body {
    font-family: Roboto-Thin;
}

/*
 * Sidebar
 */

.feather {
    width: 16px;
    height: 16px;
    vertical-align: text-bottom;
}

.sidebar {
    position: fixed;
    top: 0;
    /* rtl:raw:
    right: 0;
    */
    bottom: 0;
    /* rtl:remove */
    left: 0;
    z-index: 100; /* Behind the navbar */
    padding: 48px 0 0; /* Height of navbar */
    box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
}

@media (max-width: 767.98px) {
    .sidebar {
        top: 5rem;
    }
}

.sidebar-sticky {
    position: relative;
    top: 0;
    height: calc(100vh - 48px);
    padding-top: .5rem;
    overflow-x: hidden;
    overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}

.sidebar .nav-link {
    font-weight: 500;
    color: #333;
}

.sidebar .nav-link .feather {
    margin-right: 4px;
    color: #727272;
}

.sidebar .nav-link.active {
    color: #2470dc;
}

.sidebar .nav-link:hover .feather,
.sidebar .nav-link.active .feather {
    color: inherit;
}

.sidebar-heading {
    text-transform: uppercase;
}

/*
 * Navbar
 */

.navbar-brand {
    padding-top: .75rem;
    padding-bottom: .75rem;
    font-size: 1rem;
    background-color: rgba(0, 0, 0, .25);
    box-shadow: inset -1px 0 0 rgba(0, 0, 0, .25);
}

.navbar .navbar-toggler {
    top: .25rem;
    right: 1rem;
}

.navbar .form-control {
    padding: .75rem 1rem;
    border-width: 0;
    border-radius: 0;
}
